## eole-dhcp 2.7.1-25

=== Makefile ===
################################
# Makefile pour eole-dhcp
################################

SOURCE=eole-dhcp
VERSION=2.7
EOLE_VERSION=2.7
EOLE_RELEASE=2.7.1
PKGAPPS=non

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-dhcp (2.7.1-25) eole-2.7.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [ad4f332] gestion des plages statiques sur l'EAD 2 (ref #32376)

  [ Joël Cuissinat ]
  * [67df5f3] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [e4b1eda] Joël Cuissinat: Update package since “debian/eole/2.7.1-24”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 29 Jun 2021 11:20:27 +0200

eole-dhcp (2.7.1-24) eole-2.7.1-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [9d78227] affichage uniquement des plages dynamiques ref #32712

  [ Joël Cuissinat ]
  * [e4e9545] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [c110cb5] Joël Cuissinat: Update package since “debian/eole/2.7.1-23”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 17 Jun 2021 15:53:59 +0200

eole-dhcp (2.7.1-23) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [a77e8b4] Fix free IP available in dynamic range calculation
  * [dbb446e] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [03eb243] Joël Cuissinat: Update package since “debian/eole/2.7.1-22”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 03 Jun 2021 13:53:25 +0200

eole-dhcp (2.7.1-22) eole-2.7.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [a932f37] Merge branch '2.7.0/28338-multiple_iterations' into 2.7.0/master

  [ Emmanuel Garette ]
  * [a94d7d6] Ajouter l'option concernant WPAD si wpad est configuré hors global (ref #32039)
  * [db968c1] Merge branch '2.7.0/master' into 2.7.1/master
  * [6a55704] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [4145406] Emmanuel Garette: Update package since “debian/eole/2.7.1-21”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 06 Apr 2021 16:18:05 +0200

eole-dhcp (2.7.1-21) eole-2.7.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [4363104] Always use lowercase for MAC and allow same MAC in distinct ranges.
  * [85d4a76] Merge branch '2.7.1/31249-pc_nomades' into 2.7.1/master
  * [76f303d] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [1d846df] Benjamin Bohard: Update package since “debian/eole/2.7.1-20”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 07 Dec 2020 16:36:12 +0100

eole-dhcp (2.7.1-20) eole-2.7.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [1f04a9f] Filter out host without IP.
  * [ce74c06] Merge branch '2.7.1/30402-host_with_IP_outside_ranges' into 2.7.1/master
  * [574f16d] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [bea11c7] Benjamin Bohard: Update package since “debian/eole/2.7.1-19”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 30 Jun 2020 09:13:59 +0200

eole-dhcp (2.7.1-19) eole-2.7.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [e1b30e4] Client hostname may contain dash.
  * [6e1ecc0] Merge branch '2.7.1/30397-regexp_matching_dash' into 2.7.1/master
  * [a9971ef] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [1c5108d] Benjamin Bohard: Update package since “debian/eole/2.7.1-18”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 29 Jun 2020 09:14:23 +0200

eole-dhcp (2.7.1-18) eole-2.7.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [e3a18e8] Rendre bloquante l’erreur d’une IP hors sous-réseau.
  * [1574246] Merge branch '2.7.1/30348-ip_hors_subnet' into 2.7.1/master
  * [5a92d9c] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [2a60c4e] Benjamin Bohard: Update package since “debian/eole/2.7.1-17”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 18 Jun 2020 12:14:08 +0200

eole-dhcp (2.7.1-17) eole-2.7.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [bcd973d] sauvegarde du fichier dhcp.json (ref #30001)
  * [573cb8b] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [0d64204] Emmanuel Garette: Update package since “debian/eole/2.7.1-16”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 28 Apr 2020 15:29:46 +0200

eole-dhcp (2.7.1-16) eole-2.7.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [478c24f] importer meme si id est vide (ref #30001)
  * [1707107] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [b13132d] Emmanuel Garette: Update package since “debian/eole/2.7.1-15”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 28 Apr 2020 14:15:48 +0200

eole-dhcp (2.7.1-15) eole-2.7.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [94a97b5] problème d'index (ref #30001)
  * [334eddd] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [c4cab11] Emmanuel Garette: Update package since “debian/eole/2.7.1-14”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 28 Apr 2020 12:19:20 +0200

eole-dhcp (2.7.1-14) eole-2.7.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [77deaae] améliation de l'action DHCP (ref #30001)
  * [259b214] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [939adf8] Emmanuel Garette: Update package since “debian/eole/2.7.1-13”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 28 Apr 2020 08:32:28 +0200

eole-dhcp (2.7.1-13) eole-2.7.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [d69d50f] Return dict with leases key
  * [fd1f8ca] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [9f2acd5] Benjamin Bohard: Update package since “debian/eole/2.7.1-12”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 31 Mar 2020 11:42:12 +0200

eole-dhcp (2.7.1-12) eole-2.7.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [ac715be] Forward subnets list to web component.
  * [eece687] Merge branch '2.7.1/29812-reserve_in_range' into 2.7.1/master
  * [2a37d58] Adjust subtable height to row count.
  * [3319a0b] Adjust actions elements to page size.


## eole-dhcp 2.7.2-7

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-dhcp
 VERSION=2.7
 EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.1
+EOLE_RELEASE=2.7.2
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-dhcp (2.7.2-7) eole-2.7-unstable; urgency=low

  [ Emmanuel Garette ]
  * [77deaae] améliation de l'action DHCP (ref #30001)
  * [94a97b5] problème d'index (ref #30001)
  * [478c24f] importer meme si id est vide (ref #30001)
  * [bcd973d] sauvegarde du fichier dhcp.json (ref #30001)
  * [5c1a268] Merge branch '2.7.1/master' into 2.7.2/master
  * [48b88bb] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [42c149f] Emmanuel Garette: Update package since “debian/eole/2.7.2-6”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 28 Apr 2020 15:31:23 +0200

eole-dhcp (2.7.2-6) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [d69d50f] Return dict with leases key
  * [8a03010] Merge branch '2.7.1/master' into 2.7.2/master
  * [55181ed] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [1f5a3a7] Benjamin Bohard: Update package since “debian/eole/2.7.2-5”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 31 Mar 2020 11:44:53 +0200

eole-dhcp (2.7.2-5) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [ac715be] Forward subnets list to web component.
  * [eece687] Merge branch '2.7.1/29812-reserve_in_range' into 2.7.1/master
  * [2a37d58] Adjust subtable height to row count.
  * [3319a0b] Adjust actions elements to page size.
  * [47766c6] Merge branch '2.7.1/29821-adjust_elements_size' into 2.7.1/master
  * [531452c] Merge branch '2.7.1/master' into 2.7.2/master
  * [c150f2f] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [a8a235d] Benjamin Bohard: Update package since “debian/eole/2.7.2-4”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 31 Mar 2020 09:41:16 +0200

eole-dhcp (2.7.2-4) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [20ee00f] Display number of free leases in ead and zephir.
  * [be201ca] Merge branch '2.7.1/20753-agent_zephir_dhcp' into 2.7.1/master
  * [01be302] Do not display available ip in case of static range.
  * [8b69d40] Merge branch '2.7.1/20753-agent_zephir_dhcp' into 2.7.1/master
  * [bd3825b] Merge branch '2.7.1/master'
  * [b0c5f22] Merge branch 'master' into dist/eole/2.7.2/master

  [ Joël Cuissinat ]
  * [e3bf99d] Do not load the agent if dhcp is not activated
  * [3b678f0] Merge branch '2.7.1/master' into 2.7.2/master

  [ Emmanuel Garette ]
  * [daedcc7] support des différents types d'expiration (ref #29813)
  * [f068b4d] Merge branch '2.7.1/master' into 2.7.2/master
  * [ec24a32] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [f66a49a] Emmanuel Garette: Update package since “debian/eole/2.7.2-3”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 27 Mar 2020 17:56:01 +0100

eole-dhcp (2.7.2-3) eole-2.7-unstable; urgency=low

  [ Matthieu Lamalle ]
  * [bf7f530] Set grid to window height ref #29194
  * [5d2ae36] Merge branch '2.7.1/master'

  [ Joël Cuissinat ]
  * [0d5b1f9] Merge branch 'master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [6250920] Joël Cuissinat: Update package since “debian/eole/2.7.2-2”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 12 Dec 2019 17:34:22 +0100

eole-dhcp (2.7.2-2) eole-2.7-unstable; urgency=low

  [ Benjamin Bohard ]
  * [9ba3fc9] Throw errors with specific messages to help debug.

  [ Emmanuel Garette ]
  * [4bdd20b] portage des tests en 2.7.0 (ref #28582)
  * [8494963] enregistrer tout d'un coup dans tiramisu (ref #28583)
  * [d58a336] fin portage des tests (ref #28582)

  [ Joël Cuissinat ]
  * [fce7481] Merge branch '2.7.1/master'
  * [99f4cf7] Merge branch 'master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [8246882] Joël Cuissinat: Update package since “debian/eole/2.7.2-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 15 Oct 2019 15:05:34 +0200

eole-dhcp (2.7.2-1) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [94105b3] Prepare version 2.7.2
  * [1e3485e] Merge tag 'release/2.7.2' into dist/eole/2.7.2/master

  [ Benjamin Bohard ]
  * [a446b90] Throw errors with specific messages to help debug.
  * [7b1855c] Merge branch 'master' into dist/eole/2.7.2/master

  [ Emmanuel Garette ]
  * [c6caa64] portage des tests en 2.7.0 (ref #28582)
  * [6603c1f] enregistrer tout d'un coup dans tiramisu (ref #28583)
  * [ec8a985] fin portage des tests (ref #28582)

  [ EOLE Build Daemon ]
  * [755470e] Benjamin Bohard: Update package since “debian/eole/2.7.1-5”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 09 Jul 2019 09:28:16 +0200

## eole-dhcp 2.7.2-10

=== debian/changelog ===
eole-dhcp (2.7.2-10) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [6e1ecc0] Merge branch '2.7.1/30397-regexp_matching_dash' into 2.7.1/master
  * [1f04a9f] Filter out host without IP.
  * [1093a61] Merge branch '2.7.1/30402-host_with_IP_outside_ranges' into 2.7.2/master
  * [17c32ee] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [52d8a01] Benjamin Bohard: Update package since “debian/eole/2.7.2-9”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 30 Jun 2020 09:16:48 +0200

eole-dhcp (2.7.2-9) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [1574246] Merge branch '2.7.1/30348-ip_hors_subnet' into 2.7.1/master
  * [e1b30e4] Client hostname may contain dash.
  * [d6f8d85] Merge branch '2.7.1/30397-regexp_matching_dash' into 2.7.2/master
  * [0a38c06] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [af7e9c7] Benjamin Bohard: Update package since “debian/eole/2.7.2-8”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 29 Jun 2020 11:29:43 +0200

eole-dhcp (2.7.2-8) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [e3a18e8] Rendre bloquante l’erreur d’une IP hors sous-réseau.
  * [d77ad60] Merge branch '2.7.1/30348-ip_hors_subnet' into 2.7.2/master
  * [cb68f07] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [54b7dcd] Benjamin Bohard: Update package since “debian/eole/2.7.2-7”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 18 Jun 2020 12:23:40 +0200

## eole-dhcp 2.7.2-33

=== debian/changelog ===
eole-dhcp (2.7.2-33) eole-2.7.2-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [f57e484] Pouvoir importer un CSV sans erreur (ref #35166)
  * [8aa5331] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [26143be] Philippe Caseiro: Update package since “debian/eole/2.7.2-32”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Thu, 29 Dec 2022 17:20:33 +0100

eole-dhcp (2.7.2-32) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [2b1ce5b] Si on passe en "Toutes les plages dynamiques|statiques" supprimer dans les anciennes plage (ref #34173)
  * [9b81494] 'Toutes les plages' doit marcher à l'importation (ref #34172)
  * [f85b64d] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [843d231] Emmanuel Garette: Update package since “debian/eole/2.7.2-31”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 28 Jun 2022 11:03:13 +0200

eole-dhcp (2.7.2-31) eole-2.7.2-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [c9d4870] Interdire les hôtes inconnus est impliqué par la distribution d’IP statiques.
  * [129763f] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [b3e2508] Benjamin Bohard: Update package since “debian/eole/2.7.2-30”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 12 Apr 2022 09:28:03 +0200

eole-dhcp (2.7.2-30) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [a923d19] ajout des options "Les plages dynamiques" et "Les plages statiques" en plus de "Toutes les plages" (ref #33924)
  * [61fd45b] on peut mettre 'Tous les plages *' pour une machine déjà réservés (ref #33925)
  * [bb8f4d4] EAD3 : ajout de 'toutes les plages *' lors de l'import CSV (ref #33926)
  * [812cc61] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [009c0b5] Emmanuel Garette: Update package since “debian/eole/2.7.2-29”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 17 Mar 2022 14:29:09 +0100

eole-dhcp (2.7.2-29) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [bb3780d] ne pas recharger trop souvent les sous-réseaux (ref #33935)
  * [8558783] pouvoir supprimer par lot (ref #33928)
  * [e3f287e] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [2bbcbab] Emmanuel Garette: Update package since “debian/eole/2.7.2-28”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 08 Mar 2022 17:20:01 +0100

eole-dhcp (2.7.2-28) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [b08f40d] pouvoir supprimer les réservations avec all_ranges à True (ref #33217)
  * [b9bc942] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [db0bfe7] Emmanuel Garette: Update package since “debian/eole/2.7.2-27”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 04 Mar 2022 10:30:41 +0100

eole-dhcp (2.7.2-27) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [1d56110] Toutes les plages concernent toutes les plages dans laquelle on peut faire une réservation (ref #33217)
  * [258a47f] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [45b0273] Emmanuel Garette: Update package since “debian/eole/2.7.2-26”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 02 Mar 2022 17:03:19 +0100

eole-dhcp (2.7.2-26) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [023b284] ead3 : mettre le nom des machines du fichier lease en minuscule + ne pas faire d'erreur si le nom de machine n'est pas valide (ref #33614)
  * [aada8fc] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [52705cb] Emmanuel Garette: Update package since “debian/eole/2.7.2-25”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 03 Jan 2022 17:43:43 +0100

eole-dhcp (2.7.2-25) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [bf7b9e4] faire fonctionner la création des réservations en utilisant la fonction "copier" + "Toutes les plages" (ref #33217)
  * [41f4724] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [a3f94da] Emmanuel Garette: Update package since “debian/eole/2.7.2-24”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 17 Dec 2021 10:12:00 +0100

eole-dhcp (2.7.2-24) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [8b23240] ne pas afficher de conflit si on importe dans plusieurs plages (statique ou non) (ref #33216)
  * [87b79d0] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [2e472e1] Emmanuel Garette: Update package since “debian/eole/2.7.2-23”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 10 Dec 2021 11:58:23 +0100

eole-dhcp (2.7.2-23) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [c42ca9e] Pouvoir supprimer une réservation (ref #33311)
  * [21d9d6c] ne pas ajouter les ID si on ne veut pas toucher aux machines déjà présente (ref #33216)
  * [5435354] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [35355ea] Emmanuel Garette: Update package since “debian/eole/2.7.2-22”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 29 Nov 2021 10:45:21 +0100

eole-dhcp (2.7.2-22) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [acb06fa] conserver dans le fichier dhcp.json le fait que l'utilisateur à choisi 'Toutes les plages' lors de la création d'un machine (ref #33311)
  * [35e1dea] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [ee04952] Emmanuel Garette: Update package since “debian/eole/2.7.2-21”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 10 Nov 2021 15:01:55 +0100

eole-dhcp (2.7.2-21) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [5033d63] correction ergonomie (ref #33217)
  * [78237f7] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]


## eole-dhcp 2.8.0-14

=== debian/changelog ===
eole-dhcp (2.8.0-14) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [4363104] Always use lowercase for MAC and allow same MAC in distinct ranges.
  * [4f5d4b9] Merge branch '2.7.1/31249-pc_nomades' into 2.8.0/master
  * [02fcaee] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [c061d15] Benjamin Bohard: Update package since “debian/eole/2.8.0-13”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 07 Dec 2020 16:42:31 +0100

eole-dhcp (2.8.0-13) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [ce74c06] Merge branch '2.7.1/30402-host_with_IP_outside_ranges' into 2.7.1/master

  [ Fabrice Barconnière ]
  * [f34b4a6] Bad list comprehension in dhcpd.conf template
  * [587cd45] Merge branch 'issues/31076' into 2.8.0/master
  * [e730d7d] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [97f272c] Fabrice Barconnière: Update package since “debian/eole/2.8.0-12”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 19 Nov 2020 16:05:11 +0100

eole-dhcp (2.8.0-12) eole-2.8.0-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [0c7d90e] Fix script for python3 support
  * [7186f44] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [0f6f3d1] Philippe Caseiro: Update package since “debian/eole/2.8.0-11”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Thu, 12 Nov 2020 12:34:24 +0100

eole-dhcp (2.8.0-11) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [0de5212] Merge branch '2.7.2/30554-reservation_nomade' into 2.7.2/master
  * [068ea26] Rename old config.eol
  * [53a05b1] Merge branch '2.7.2/30778-backup_dhcp_config.eol' into 2.7.2/master
  * [8e8b777] Always declare family to avoid unavailable namespace.
  * [d7a99b9] Merge branch '2.7.2/30777-no_family_in_dictionnary' into 2.7.2/master
  * [a68e2a2] Merge branch '2.7.2/master' into 2.8.0/master
  * [86c3bd8] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ Matthieu Lamalle ]
  * [381ddc4] Optimisaiton du composant dhcp-lease ref : #30743

  [ EOLE Build Daemon ]
  * [003bda0] Benjamin Bohard: Update package since “debian/eole/2.8.0-10”

 -- Benjamin Bohard <bbohard@cadoles.com>  Fri, 16 Oct 2020 12:40:50 +0200

eole-dhcp (2.8.0-10) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [3e97903] portage de gen_dhcp & dhcp-tool en python3 (ref: #30661)
  * [26e2489] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [a8d2fc6] Joël Cuissinat: Update package since “debian/eole/2.8.0-9”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 18 Sep 2020 11:50:17 +0200

eole-dhcp (2.8.0-9) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [d77ad60] Merge branch '2.7.1/30348-ip_hors_subnet' into 2.7.2/master
  * [d6f8d85] Merge branch '2.7.1/30397-regexp_matching_dash' into 2.7.2/master
  * [1093a61] Merge branch '2.7.1/30402-host_with_IP_outside_ranges' into 2.7.2/master
  * [a5d87b1] WIP
  * [dafc36b] Remise en forme de l’action
  * [8d7f24b] Remise en forme de l’onglet importer
  * [99376d6] Rétablissement du style pour l’élément principal
  * [ecfc73e] Révision de l’agencement
  * [8ec5430] Merge branch '2.7.2/30554-reservation_nomade'
  * [ad60686] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [85c9264] Benjamin Bohard: Update package since “debian/eole/2.8.0-8”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 07 Sep 2020 08:39:14 +0200

eole-dhcp (2.8.0-8) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [6e1ecc0] Merge branch '2.7.1/30397-regexp_matching_dash' into 2.7.1/master
  * [1f04a9f] Filter out host without IP.
  * [b583da0] Merge branch '2.7.1/30402-host_with_IP_outside_ranges'
  * [6c16bfd] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [444fb9a] Benjamin Bohard: Update package since “debian/eole/2.8.0-7”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 30 Jun 2020 09:18:16 +0200

eole-dhcp (2.8.0-7) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [1574246] Merge branch '2.7.1/30348-ip_hors_subnet' into 2.7.1/master
  * [e1b30e4] Client hostname may contain dash.
  * [00765e9] Merge branch '2.7.1/30397-regexp_matching_dash'
  * [7c851d1] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [6e2a0ed] Benjamin Bohard: Update package since “debian/eole/2.8.0-6”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 29 Jun 2020 09:20:01 +0200

eole-dhcp (2.8.0-6) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [e3a18e8] Rendre bloquante l’erreur d’une IP hors sous-réseau.
  * [5399aa0] Merge branch '2.7.1/30348-ip_hors_subnet'
  * [775ec76] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [af1a57e] Benjamin Bohard: Update package since “debian/eole/2.8.0-5”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 18 Jun 2020 12:25:48 +0200

eole-dhcp (2.8.0-5) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [77deaae] améliation de l'action DHCP (ref #30001)
  * [94a97b5] problème d'index (ref #30001)
  * [478c24f] importer meme si id est vide (ref #30001)
  * [bcd973d] sauvegarde du fichier dhcp.json (ref #30001)
  * [5c1a268] Merge branch '2.7.1/master' into 2.7.2/master
  * [3239ff0] Merge branch '2.7.2/master'
  * [0ee06fa] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [74c516d] Emmanuel Garette: Update package since “debian/eole/2.8.0-4”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 28 Apr 2020 15:32:03 +0200

eole-dhcp (2.8.0-4) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [33bde05] Do not use %% marker for placeholders in comprehension list.
  * [26cc327] Merge branch '2.8.0/29996-comprehension_list'
  * [eee60ef] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [b505031] Benjamin Bohard: Update package since “debian/eole/2.8.0-3”



## eole-dhcp 2.8.0-32

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-dhcp
-VERSION=2.7
-EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.2
+VERSION=2.8
+EOLE_VERSION=2.8
+EOLE_RELEASE=2.8.0
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-dhcp (2.8.0-32) eole-2.8.0-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [f57e484] Pouvoir importer un CSV sans erreur (ref #35166)
  * [cf34590] Merge branch '2.7.2/master' into 2.8.0/master
  * [8884d09] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [30601fb] Philippe Caseiro: Update package since “debian/eole/2.8.0-31”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Thu, 29 Dec 2022 17:20:55 +0100

eole-dhcp (2.8.0-31) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [2b1ce5b] Si on passe en "Toutes les plages dynamiques|statiques" supprimer dans les anciennes plage (ref #34173)
  * [9b81494] 'Toutes les plages' doit marcher à l'importation (ref #34172)

  [ Benjamin Bohard ]
  * [0e0e48b] Merge branch '2.7.2/master' into 2.8.0/master
  * [f757aec] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [8ab9b52] Benjamin Bohard: Update package since “debian/eole/2.8.0-30”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 11 Jul 2022 14:49:54 +0200

eole-dhcp (2.8.0-30) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [1632301] Changement de comportement dans le template cheetah.
  * [ae65be6] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [c49df47] Benjamin Bohard: Update package since “debian/eole/2.8.0-29”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 13 Apr 2022 11:10:19 +0200

eole-dhcp (2.8.0-29) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [c9d4870] Interdire les hôtes inconnus est impliqué par la distribution d’IP statiques.
  * [f6a2241] Merge branch '2.7.2/master' into 2.8.0/master
  * [155bd46] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [d3d45b2] Benjamin Bohard: Update package since “debian/eole/2.8.0-28”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 12 Apr 2022 09:31:01 +0200

eole-dhcp (2.8.0-28) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [bb3780d] ne pas recharger trop souvent les sous-réseaux (ref #33935)
  * [8558783] pouvoir supprimer par lot (ref #33928)
  * [a923d19] ajout des options "Les plages dynamiques" et "Les plages statiques" en plus de "Toutes les plages" (ref #33924)
  * [61fd45b] on peut mettre 'Tous les plages *' pour une machine déjà réservés (ref #33925)
  * [bb8f4d4] EAD3 : ajout de 'toutes les plages *' lors de l'import CSV (ref #33926)
  * [c5d281d] Merge branch '2.7.2/master' into 2.8.0/master
  * [8cb127d] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [83acc08] Emmanuel Garette: Update package since “debian/eole/2.8.0-27”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 17 Mar 2022 14:29:36 +0100

eole-dhcp (2.8.0-27) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [b08f40d] pouvoir supprimer les réservations avec all_ranges à True (ref #33217)
  * [906ba33] Merge branch '2.7.2/master' into 2.8.0/master
  * [fc44709] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [62d6f24] Emmanuel Garette: Update package since “debian/eole/2.8.0-26”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 04 Mar 2022 10:31:14 +0100

eole-dhcp (2.8.0-26) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [1d56110] Toutes les plages concernent toutes les plages dans laquelle on peut faire une réservation (ref #33217)
  * [bb8ba86] Merge branch '2.7.2/master' into 2.8.0/master
  * [f66c11f] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [cae2a06] Emmanuel Garette: Update package since “debian/eole/2.8.0-25”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 02 Mar 2022 17:04:20 +0100

eole-dhcp (2.8.0-25) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [023b284] ead3 : mettre le nom des machines du fichier lease en minuscule + ne pas faire d'erreur si le nom de machine n'est pas valide (ref #33614)
  * [a272349] Merge branch '2.7.2/master' into 2.8.0/master
  * [ece7873] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [8a3beb9] Emmanuel Garette: Update package since “debian/eole/2.8.0-24”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 03 Jan 2022 17:44:08 +0100

eole-dhcp (2.8.0-24) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [bf7b9e4] faire fonctionner la création des réservations en utilisant la fonction "copier" + "Toutes les plages" (ref #33217)
  * [4e90637] Merge branch '2.7.2/master' into 2.8.0/master
  * [c03884e] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [896866f] Emmanuel Garette: Update package since “debian/eole/2.8.0-23”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 17 Dec 2021 10:25:12 +0100

eole-dhcp (2.8.0-23) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [8b23240] ne pas afficher de conflit si on importe dans plusieurs plages (statique ou non) (ref #33216)
  * [49966b4] Merge branch '2.7.2/master' into 2.8.0/master
  * [fc93a72] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [094aac8] Emmanuel Garette: Update package since “debian/eole/2.8.0-22”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 10 Dec 2021 11:58:49 +0100

eole-dhcp (2.8.0-22) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [c42ca9e] Pouvoir supprimer une réservation (ref #33311)
  * [21d9d6c] ne pas ajouter les ID si on ne veut pas toucher aux machines déjà présente (ref #33216)
  * [cf44831] Merge branch '2.7.2/master' into 2.8.0/master
  * [1821fb1] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [85a6f0e] Emmanuel Garette: Update package since “debian/eole/2.8.0-21”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 29 Nov 2021 10:45:48 +0100

eole-dhcp (2.8.0-21) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]


## eole-dhcp 2.8.1-14

=== debian/changelog ===
eole-dhcp (2.8.1-14) eole-2.8-unstable; urgency=low

  [ Matthieu Lamalle ]
  * [c34d1fe] affcihage uniquement des plages dynamiques ref #32712
  * [a1605c1] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [a9cdb3c] Matthieu Lamalle: Update package since “debian/eole/2.8.1-13”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Thu, 17 Jun 2021 14:13:48 +0200

eole-dhcp (2.8.1-13) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [a77e8b4] Fix free IP available in dynamic range calculation
  * [1d10e25] Merge branch '2.7.1/master' into 2.7.2/master
  * [fd1fd1b] Merge branch '2.7.2/master' into 2.8.0/master
  * [50ac4ef] Merge branch '2.8.0/master'
  * [dc6e81f] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [7a02b35] Joël Cuissinat: Update package since “debian/eole/2.8.1-12”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 03 Jun 2021 14:28:07 +0200

eole-dhcp (2.8.1-12) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [72010dc] gestion des plages statiques sur l'EAD 2 (ref #32376)
  * [1569f67] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [2b41d3c] Emmanuel Garette: Update package since “debian/eole/2.8.1-11”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 03 Jun 2021 11:54:06 +0200

eole-dhcp (2.8.1-11) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [ed7fd79] fix(sls): “isc-dhcp-server” service is in DHCP container
  * [4e32aa6] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [121908d] Daniel Dehennin: Update package since “debian/eole/2.8.1-10”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 02 Jun 2021 11:24:15 +0200

eole-dhcp (2.8.1-10) eole-2.8-unstable; urgency=low

  [ Laurent Flori ]
  * [ef4896f] Correct path to dhcp leases file for amonecole
  * [790c5f7] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [6b68802] Laurent Flori: Update package since “debian/eole/2.8.1-9”

 -- Laurent Flori <laurent.flori@ac-dijon.fr>  Tue, 01 Jun 2021 12:39:05 +0200

eole-dhcp (2.8.1-9) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [05554af] ne pas limiter les interfaces en mode conteneur (ref #32209)
  * [6d0b523] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [632c98c] Emmanuel Garette: Update package since “debian/eole/2.8.1-8”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 23 Apr 2021 10:18:27 +0200

eole-dhcp (2.8.1-8) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [57a9c16] Listen interface configuration must be in /etc/default/
  * [b019d2d] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [f2b23c4] Daniel Dehennin: Update package since “debian/eole/2.8.1-7”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 22 Apr 2021 10:54:24 +0200

eole-dhcp (2.8.1-7) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [7d43af0] dhcp.leases est dans le conteneur sur AmonEcole + création d'un fichier de configuration pour récupérer la configuration (ref #32049)
  * [869e0cc] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [0d40022] Emmanuel Garette: Update package since “debian/eole/2.8.1-6”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 07 Apr 2021 15:49:07 +0200

eole-dhcp (2.8.1-6) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [259bdc9] dhcpd ne doit écouter que sur les interfaces gérés par EOLE (ref #32045)
  * [a94d7d6] Ajouter l'option concernant WPAD si wpad est configuré hors global (ref #32039)
  * [db968c1] Merge branch '2.7.0/master' into 2.7.1/master
  * [e1bb842] Merge branch '2.7.1/master' into 2.7.2/master
  * [3e61a50] Merge branch '2.7.2/master' into 2.8.0/master
  * [b8564fe] Merge branch '2.8.0/master'
  * [eefaf3e] Merge branch 'master' into dist/eole/2.8.1/master

  [ Benjamin Bohard ]
  * [b4e7529] Merge branch '2.7.1/31249-pc_nomades' into 2.7.2/master
  * [85d4a76] Merge branch '2.7.1/31249-pc_nomades' into 2.7.1/master
  * [a932f37] Merge branch '2.7.0/28338-multiple_iterations' into 2.7.0/master

  [ EOLE Build Daemon ]
  * [aa71f32] Emmanuel Garette: Update package since “debian/eole/2.8.1-5”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 06 Apr 2021 16:19:43 +0200

eole-dhcp (2.8.1-5) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [4f5d4b9] Merge branch '2.7.1/31249-pc_nomades' into 2.8.0/master

  [ Fabrice Barconnière ]
  * [5ba758c] zip function returns an iterator in python3, not a list as it was in python2
  * [5ea3466] Merge branch '2.8.0/master'
  * [f2ff328] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [7223604] Fabrice Barconnière: Update package since “debian/eole/2.8.1-4”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 05 Jan 2021 13:37:17 +0100

eole-dhcp (2.8.1-4) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [4522578] dans logrotate utiliser /usr/lib/rsyslog/rsyslog-rotate (ref #31409)
  * [9259632] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [4aa7a77] Emmanuel Garette: Update package since “debian/eole/2.8.1-3”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 14 Dec 2020 10:54:39 +0100

eole-dhcp (2.8.1-3) eole-2.8-unstable; urgency=low

  [ Benjamin Bohard ]
  * [4363104] Always use lowercase for MAC and allow same MAC in distinct ranges.
  * [ecc5331] Merge branch '2.7.1/31249-pc_nomades' into master
  * [6a96203] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [15bb4ef] Benjamin Bohard: Update package since “debian/eole/2.8.1-2”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 07 Dec 2020 16:44:00 +0100

eole-dhcp (2.8.1-2) eole-2.8-unstable; urgency=low

  [ Philippe Caseiro ]
  * [0c7d90e] Fix script for python3 support

  [ Benjamin Bohard ]
  * [ce74c06] Merge branch '2.7.1/30402-host_with_IP_outside_ranges' into 2.7.1/master

  [ Fabrice Barconnière ]


## eole-dhcp 2.8.1-37

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-dhcp
 VERSION=2.8
 EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.0
+EOLE_RELEASE=2.8.1
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-dhcp (2.8.1-37) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [d3e996a] Les réservations multiples par équipement épuisent les pools d’adresses
  * [dc39969] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [5b27f88] Benjamin Bohard: Update package since “debian/eole/2.8.1-36”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 18 Nov 2025 13:49:11 +0100

eole-dhcp (2.8.1-36) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [27eed8c] Ajouter les directives pxe pour les groupes d’IP statiques.
  * [712bce9] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [7585b4f] Benjamin Bohard: Update package since “debian/eole/2.8.1-35”

 -- Benjamin Bohard <bbohard@cadoles.com>  Thu, 06 Feb 2025 14:07:02 +0100

eole-dhcp (2.8.1-35) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [a3bb30e] Harmoniser l’usage des classes dans la configuration dhcp.
  * [8b70227] Merge branch '2.8.1/master' into dist/eole/2.8.1/master
  * [2363416] Ne pas utiliser les classes pour le traitement conditionnel.
  * [885163b] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [0350979] Benjamin Bohard: Update package since “debian/eole/2.8.1-34”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 11 Sep 2024 12:05:30 +0200

eole-dhcp (2.8.1-34) eole-2.8.1-proposed-updates; urgency=low

  [ Laurent Gourvénec ]
  * [904c153] Le service DHCP doit écouter sur tous les VLANs
  * [4beb3fb] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [bed5caa] Laurent Gourvénec: Update package since “debian/eole/2.8.1-33”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Tue, 27 Aug 2024 14:42:17 +0200

eole-dhcp (2.8.1-33) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [d7933a4] le service dhcp doit écouter sur les VLAN (ref #36122)
  * [c3de69e] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [38f3980] Emmanuel Garette: Update package since “debian/eole/2.8.1-32”

 -- Emmanuel Garette <egarette@silique.fr>  Wed, 07 Aug 2024 11:01:16 +0200

eole-dhcp (2.8.1-32) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [d96e5b3] Par défaut, remonter une erreur quand la plage est pleine.
  * [fbff9fd] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [1b4b7aa] Benjamin Bohard: Update package since “debian/eole/2.8.1-31”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 03 Oct 2023 16:10:17 +0200

eole-dhcp (2.8.1-31) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [8116539] Seuil d’alerte et erreur variables selon plage DHCP.
  * [310cd4d] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [50d7eaa] Benjamin Bohard: Update package since “debian/eole/2.8.1-30”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 03 Oct 2023 15:00:24 +0200

eole-dhcp (2.8.1-30) eole-2.8.1-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [9a2abad] Pouvoir importer un CSV sans erreur (ref #35166)
  * [422db19] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [60a402e] Philippe Caseiro: Update package since “debian/eole/2.8.1-29”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Thu, 29 Dec 2022 17:21:30 +0100

eole-dhcp (2.8.1-29) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [b204b59] Correction régression EAD2/DHCP
  * [e0f0668] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [fdb784b] Joël Cuissinat: Update package since “debian/eole/2.8.1-28”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 17 Nov 2022 15:45:40 +0100

eole-dhcp (2.8.1-28) eole-2.8.1-proposed-updates; urgency=low

  [ Philippe Caseiro ]
  * [c5ac6d9] reindent (ref #34720)
  * [01d87ca] indexer le nom des classes Legacy-eoleglobal pour éviter les conflits de nom (ref #34720)
  * [d261e35] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [019baaf] Philippe Caseiro: Update package since “debian/eole/2.8.1-27”

 -- Philippe Caseiro <pcaseiro@cadoles.com>  Thu, 13 Oct 2022 15:16:11 +0200

eole-dhcp (2.8.1-27) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [1632301] Changement de comportement dans le template cheetah.
  * [ccd07c8] Merge branch '2.8.0/master' into 2.8.1/master
  * [c040a7f] Merge branch '2.8.1/master' into dist/eole/2.8.1/master
  * [0e0e48b] Merge branch '2.7.2/master' into 2.8.0/master
  * [3e78087] Merge branch '2.8.0/master' into 2.8.1/master
  * [c920dc6] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ Emmanuel Garette ]
  * [2b1ce5b] Si on passe en "Toutes les plages dynamiques|statiques" supprimer dans les anciennes plage (ref #34173)
  * [9b81494] 'Toutes les plages' doit marcher à l'importation (ref #34172)

  [ EOLE Build Daemon ]
  * [af45366] Benjamin Bohard: Update package since “debian/eole/2.8.1-26”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 11 Jul 2022 14:49:28 +0200

eole-dhcp (2.8.1-26) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [c9d4870] Interdire les hôtes inconnus est impliqué par la distribution d’IP statiques.
  * [f6a2241] Merge branch '2.7.2/master' into 2.8.0/master
  * [02aaeec] Merge branch '2.8.0/master' into 2.8.1/master
  * [a6e4df9] La variable interdire_hotes_inconnus n’est pas toujours accessible.
  * [4d036af] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [6bade41] Benjamin Bohard: Update package since “debian/eole/2.8.1-25”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 12 Apr 2022 10:38:21 +0200

eole-dhcp (2.8.1-25) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [bb3780d] ne pas recharger trop souvent les sous-réseaux (ref #33935)
  * [8558783] pouvoir supprimer par lot (ref #33928)


=== debian/control ===
Source: eole-dhcp
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-dhcp
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-dhcp/repository

Package: eole-dhcp
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Templates et dictionnaires pour DHCP/TFTP EOLE
 Configuration des services dhcp3-server et tftpd-hpa
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

Package: eole-dhcp-pkg
Section: metapackages
Architecture: all
Provides: dhcp-pkg
Conflicts: dhcp-pkg
Replaces: dhcp-pkg
Depends: ${misc:Depends},
         isc-dhcp-server,
         tftpd-hpa
Description: dependency package for eole-dhcp
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.
